package com.bsmlab.dfx.dfxconsole.app.user;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DfxUserMapper {
    DfxUserDto selectConsoleUserByUserUuid(DfxUserDto dfxUserDto);
    DfxUserDto selectConsoleUserByUserEmail(DfxUserDto dfxUserDto);
    List<DfxUserDto> selectConsoleUserSearchListForPage(UserSearchParameterDto userSearchParameterDto);
    void insertConsoleUser(DfxUserDto dfxUserDto);
}
